Create salary type
Creates a salary type on the organization’s payroll routing list so subsequent expense routing can reference it (e.g. to direct mileage reimbursements to the right payroll line). The new salary type starts active and is immediately available for use.
POST
/
organizations
/
{id}
/
salarytypes
Create salary type
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "The salary type name.",
"number": "Salary type number"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes"
payload = {
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "The salary type name.",
"number": "Salary type number"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '11adfe2a080040e3892ffb89c21ec44e',
name: 'The salary type name.',
number: 'Salary type number'
})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '11adfe2a080040e3892ffb89c21ec44e',
'name' => 'The salary type name.',
'number' => 'Salary type number'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes"
payload := strings.NewReader("{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}"
response = http.request(request)
puts response.read_body{
"name": "The salary type name.",
"number": "Salary type number"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Example:
"05b8daba9ba14a49846fe77883248cf0"
Last modified on August 31, 2026
⌘I
Create salary type
curl --request POST \
--url https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "The salary type name.",
"number": "Salary type number"
}
'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes"
payload = {
"id": "11adfe2a080040e3892ffb89c21ec44e",
"name": "The salary type name.",
"number": "Salary type number"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '11adfe2a080040e3892ffb89c21ec44e',
name: 'The salary type name.',
number: 'Salary type number'
})
};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '11adfe2a080040e3892ffb89c21ec44e',
'name' => 'The salary type name.',
'number' => 'Salary type number'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes"
payload := strings.NewReader("{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{id}/salarytypes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"11adfe2a080040e3892ffb89c21ec44e\",\n \"name\": \"The salary type name.\",\n \"number\": \"Salary type number\"\n}"
response = http.request(request)
puts response.read_body{
"name": "The salary type name.",
"number": "Salary type number"
}
